Package: org.grails.gradle.plugin.core

## [Groovy] Class ExplodedDir

- org.grails.gradle.plugin.core.GrailsPluginGradlePlugin.ExplodedDir

- All Implemented Interfaces and Traits:
    org.gradle.api.artifacts.PublishArtifact

      static class GrailsPluginGradlePlugin.ExplodedDir

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.gradle.api.tasks.TaskDependency` | `buildDependencies`
    `java.util.Date` | `date`
    `java.lang.String` | `extension`
    `java.io.File` | `file`
    `java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsPluginGradlePlugin.ExplodedDir (java.io.File file, java.lang.Object... tasks)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getClassifier()`
    `` | `java.lang.String` | `getName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final org.gradle.api.tasks.TaskDependency buildDependencies

    - #### final java.util.Date date

    - #### final java.lang.String extension

    - #### final java.io.File file

    - #### final java.lang.String type

  - ### Constructor Detail

    - #### GrailsPluginGradlePlugin.ExplodedDir(java.io.File file, java.lang.Object... tasks)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String getClassifier()

    - #### @java.lang.Override java.lang.String getName()